var wordwrap = require('./wordwrap'),
	line = require('./line'),
	util = require('util')

function uimessage(message, type) {
	line.call(this, type)

	this.isUI = true
	this.message = message
	this.time = new Date()
}
util.inherits(uimessage, line)

uimessage.prototype.build = function(width) {
	var text = wordwrap(this.message, width)
	this.chunks = [
		{
			type:'ui_message',
			content:text,
			from: 0,
			to: text.length
		}
	]

	var newlineIndexes = [], re = /\n/g, newLine = []
	while((newLine = re.exec(text)) !== null) newlineIndexes.push(newLine.index)

	this.width = width
	this.height = newlineIndexes.length + 1

	return this
}

module.exports = uimessage
